#
# spec file for package anjuta (Version 2.28.1.0)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           anjuta
Version:        2.28.1.0
Release:        0.1.4
License:        GPLv2+
Summary:        GNOME IDE for C and C++
Url:            http://anjuta.sourceforge.net/
Group:          Development/Tools/IDE
Source:         anjuta-%{version}.tar.bz2
Source1:        %{name}-rpmlintrc
# PATCH-FIX-UPSTREAM bgo#597815 dimstar@opensuse.org -- Crash due to malformed UI definition file
Patch2:         anjuta-gtklabel-crash.patch
BuildRequires:  autogen
BuildRequires:  binutils-devel
BuildRequires:  devhelp-devel
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  gdl-devel
BuildRequires:  gnome-common
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  gnome-icon-theme
BuildRequires:  graphviz-devel
BuildRequires:  gtksourceview-devel
BuildRequires:  intltool
BuildRequires:  libapr-util1-devel
BuildRequires:  libapr1-devel
BuildRequires:  libgda-4_0-devel
BuildRequires:  libgladeui-1_0-devel
BuildRequires:  libneon-devel
BuildRequires:  libunique-devel
BuildRequires:  libwnck-devel
BuildRequires:  libxslt-devel
BuildRequires:  perl-gettext
BuildRequires:  shared-mime-info
BuildRequires:  subversion-devel
BuildRequires:  update-desktop-files
%ifnarch ia64 s390 s390x
BuildRequires:  valgrind-devel
%endif
BuildRequires:  vte-devel
Requires:       %{name}-lang = %{version}
# Directly required by anjuta:
Requires:       autoconf
Requires:       autogen
Requires:       automake
Requires:       gettext
Requires:       libtool
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%gconf_schemas_prereq

%description
Anjuta is a versatile integrated development environment (IDE) for C
and C++. It has been written for GTK and GNOME and features a number of
advanced programming facilities. It is basically a GUI interface for
the collection of command line programming utilities and tools
available for the GNU system. These are usually run via a text console
and can be unfriendly to use.

%package devel
License:        GPLv2+
Summary:        GNOME IDE for C and C++
Group:          Development/Tools/IDE
Requires:       %{name} = %{version}
Requires:       gconf2-devel
Requires:       gdl-devel
Requires:       gtk2-devel

%description devel
Anjuta is a versatile integrated development environment (IDE) for C
and C++. It has been written for GTK and GNOME and features a number of
advanced programming facilities. It is basically a GUI interface for
the collection of command line programming utilities and tools
available for the GNU system. These are usually run via a text console
and can be unfriendly to use.

%package doc
License:        GPLv2+
Summary:        GNOME IDE for C and C++
Group:          Development/Tools/IDE
Requires:       %{name} = %{version}

%description doc
Anjuta is a versatile integrated development environment (IDE) for C
and C++. It has been written for GTK and GNOME and features a number of
advanced programming facilities. It is basically a GUI interface for
the collection of command line programming utilities and tools
available for the GNU system. These are usually run via a text console
and can be unfriendly to use.

%lang_package
%prep
%setup -q

%build
%configure\
	--disable-static \
	--disable-scrollkeeper
make %{?jobs:-j%jobs}

%install
%makeinstall
# These should go to defaultdocdir.
rm -r %{buildroot}%{_datadir}/doc
DESTDIR=%{buildroot} mime-info-to-mime
%suse_update_desktop_file -C "" -G "Integrated Development Environment" anjuta Development IDE GNOME
%find_lang anjuta
%find_lang anjuta-build-tutorial anjuta.lang
%find_lang anjuta-faqs anjuta.lang
%find_lang anjuta-manual anjuta.lang
%find_gconf_schemas
find %{buildroot} -type f -name "*.la" -delete -print
%fdupes %{buildroot}

%clean
rm -rf %{buildroot}

%pre -f %{name}.schemas_pre

%post
/sbin/ldconfig
if test -x usr/bin/update-mime-database ; then
  usr/bin/update-mime-database usr/share/mime >/dev/null
fi

%postun
/sbin/ldconfig
if test -x usr/bin/update-mime-database ; then
  usr/bin/update-mime-database usr/share/mime >/dev/null
fi

%posttrans -f %{name}.schemas_posttrans

%preun -f %{name}.schemas_preun

%files -f %{name}.schemas_list
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog FUTURE NEWS README doc/ScintillaDoc.html TODO
%{_bindir}/*
%{_libdir}/anjuta
%{_libdir}/*.so.*
%{_datadir}/anjuta
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/*.xml
%{_datadir}/pixmaps/anjuta
# Somehow I think that this is wrong.
%dir %{_datadir}/icons/gnome/48x48/mimetypes/
%{_datadir}/icons/gnome/48x48/mimetypes/*.png
%{_datadir}/icons/gnome/scalable/mimetypes/*.svg
%{_datadir}/icons/hicolor/48x48/apps/*.png
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%doc %{_mandir}/man?/*.*
%{_libdir}/glade3/modules/*
%{_datadir}/glade3/catalogs/*

%files devel
%defattr(-, root, root)
%{_includedir}/libanjuta-1.0
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files doc
%defattr(-, root, root)
%{_datadir}/gtk-doc/html/libanjuta

%files lang -f %name.lang

%changelog
* Thu Dec 17 2009 dimstar@opensuse.org
- Update to version 2.28.1.0:
  + bgo#597318 - Anjuta terminal crashes X
  + bgo#597113 - symbol-db
  + bgo#596001 - subversion: Fix duplicate IDs in the glade file
  + bgo#567363 - file-loader: drag and drop from gnome-search-tool
    yields garbage message
- Drop upstreamed patches:
  + anjuta-symboldb-fix.patch
  + anjuta-launchername.patch
* Sat Oct 17 2009 dimstar@opensuse.org
- Add anjuta-launchername.patch, fixes X resets, bgo#597318,
  bnc#547917.
- Add anjuta-gtklabel-crash.patch, fixes crash due to malformed
  UI definition file, bgo#597815.
* Fri Oct 16 2009 dimstar@opensuse.org
- Add anjuta-symboldb-fix.patch, fix crash, bnc#547672, taken from
  upstream git.
* Tue Sep 22 2009 dimstar@opensuse.org
- Update to version 2.28.0.0:
  + bgo#594665 - Fix link of test program
  + bgo#593954 - Report error when location is > 0 for markers
  + bgo#594648 - Terminal does not work
  + bgo#355151 - drag/drop into editor window should open file
  + Updated translations.
- Drop anjuta-link.patch, upstream fixed.
* Wed Sep  9 2009 vuntz@opensuse.org
- Update to version 2.27.92.0:
  + class-gen: bgo#593532 - Untranslated strings
  + language-support-cpp-java: bgo#593291 - fix small typo
- Add anjuta-link.patch to fix build.
- Add gconf2-devel and gtk2-devel Requires to devel package.
* Thu Aug 27 2009 vuntz@novell.com
- Update to version 2.27.91.0:
  + Some git fixes (file-status, etc.)
  + Stability fixes on symbol-db
  + bgo#593236: Typo in Anjuta pot file
  + bgo#592941 – Fixed errors in Anjuta IDE Manual (Greek
    translation)
  + bgo#591758 - Fix language mistakes
  + bgo#591887 - Bad strings for translation
  + bgo#590117 – Build failure: local scandir() function collides
    with system's
  + bgo#589828 – Can't open GtkBuilder files with the glade plugin
  + bgo#590708 – Some untranslated strings
  + bgo#591359 – Need an easier and intuitive way to create a
    shared library project
  + bgo#590337 – Compile failure: not allowed to link against a
    module
  + bgo#590720 – glade plugin FTBFS on mips(el) and alpha,
    LANGUAGE_C built-in
  + bgo#575926 – 'Maintain past indentation' disables itself
  + bgo#578690 – Several components underlinked
  + bgo#585428 – Context needed to translate
  + bgo#590334 – Fix -I ordering
  + bgo#590338 – Missing plugins flags
  + bgo#566698 - git: Add init support
  + bgo#588112 - language-support-cpp-java: fixed infinite loop /
    freeze
  + bgo#587248 – Encoding key in desktop file is deprecated
  + bgo#588485 – fixes from running anjuta with
    G_DEBUG="fatal_warnings"
  + bgo#589699 – When ~/.cache isn't exists, session data isn't
    saved
  + bgo#588506 – Wrong value of PACKAGE_DOC_DIR
  + bgo#589601 – "gtk-execute" and "gtk-cancel" marked for
    translation
- Use spec-cleaner script to reorder lines in preamble.
* Wed Jul 29 2009 vuntz@novell.com
- Update to version 2.27.5.0:
  + Even better git plugin
  + Work to get C++ autocompletion done
  + Bugs fixed:
  - bgo#589401 - git: Show the active branch in the status bar
  - bgo#588387 - symbol-db: make typeahead searching caseless
  - bgo#530740 - Migrate anjuta project wizards from libglade to
    GtkBuilder
  - bgo#575147 - Headers of new C++/GObject classes have wrong
    copyright and license notices.
  - bgo#577741 - "single step over function" does not always work
    as expected
  - bgo#587957 - doap file missing bug-database
  - bgo#583731 - Some untranslated strings
  - bgo#580276 - git: Refresh the log view when switching
    branches
  - bgo#578438 - broken svn libraries detection in configure
  - bgo#587191 - git: Fix a typo in a menu tooltip
  - bgo#586926 - gbf-am: build fix
  - bgo#586926 - gdbmi_test build fails
  - bgo#513156 - Get rid of libgnome(ui)
  - bgo#577924 - git: Add descriptions to the menu items
  - bgo#586621 - Crash while loading project file
  - bgo#586148 - Case had to be the other way around
  - bgo#586148 - Fixing setting whitespace for the editor not
    working
  - bgo#577924 - Fixing AnjutaStatusbar for displaying menu tags
  - bgo#577232 - run-program plugin: projects's working directory
    should be set to project root on start
  - bgo#586030 - Value of a new environment variable is not saved
    in run parameter dialog
  - bgo#584180 - Duplicate copy of GBF/General.pm installed to
    same location
  - bgo#582961 - Replace SexyIconEntry by GtkEntry icon
    functionality (available in GTK+ 2.16)
  - bgo#578411 - subversion: Show conflicted files in the commit
    dialog
  - bgo#585498 - symbol-db: Completion stop working and strange
    warning
- Remove libgnomeui-devel BuildRequires.
- Remove libgnomeui-devel Requires from devel package.
* Sun Jun 14 2009 vuntz@novell.com
- Update to version 2.27.3.0:
  + Updates:
  - Pixel-saving UI for tabs
  - Remove markup from translatable strings
  + Bugs fixed:
  - Lots of git bugs fixed
  - bgo#584013 - libanjuta-1.0.pc.in still requires libglade-2.0
  - bgo#584347 - Don't reference child revisions
  - bgo#567214 - bookmarks window wastes too much space
  - bgo#582464 - crash in Anjuta IDE: Hacking on Empathy, dele...
* Wed May 27 2009 vuntz@novell.com
- Update to version 2.27.2.0:
  + Lots of git improvements
  + Subversion improvements
  + Removed libglade dependency
  + bgo#581416 - Fix void function cannot return value
  + bgo#581869 - anjuta fails to build outside source tree
  + bgo#582710 - Please consider using g_timeout_add_seconds to
    reduce wakeups
  + bgo#582977 - String misspelled
  + bgo#581421 - build fail on symbol-db/test
  + bgo#530740 - Use GtkBuilder instead of libglade
  + bgo#583589 - Some untranslated strings
  + bgo#580340 - Reuse the last commit message when amending
    commits
- Remove libglade2-devel from devel Requires.
- Add anjuta-rpmlintrc for the warnings about the project
  templates.
* Wed May  6 2009 vuntz@novell.com
- Update to version 2.27.1.0:
  + Updates:
  - Improvements in git plugin
  - Improvements with auto-completion speed
  + Bugs fixed:
  - bgo#530740 - Use GtkBuilder instead of libglade
  - bgo#581074 - Creating a new wxWidgets project should not
    include libglade
  - bgo#580994 - using DEBUG_PRINT instead of g_print
  - bgo#580013 - patch plugin doesn't handle patch-files with
    whitespace
  - bgo#568779 - project wizard should infer project name from
    base path
  - bgo#577721 - tooltips appears in wrong position
  - bgo#579118 - Segmentation fault when adding file to project
  - bgo#578087 - Artwork for Symbol Database is actually not from
    Monodevelop
  - bgo#567588 - highlight default button in Find dialog
  - bgo#576959 - Search does not point to correct line number on
    first match when file is not opened in editor.
  - bgo#577006 - crash creating new file
  - bgo#574607 - Replace function selects text uncorrectly
  - bgo#576057 - doesn't build with graphviz 2.22.2
  - bgo#575617 - Update FSF address
- Remove libglade2-devel BuildRequires.
* Sun May  3 2009 mboman@suse.de
- Change BuildRequires from unique-devel to libunique-devel
* Tue Apr 14 2009 vuntz@novell.com
- Update to version 2.26.1.0:
  + New animation to identify running builds
  + bgo#578087 – Artwork for Symbol Database is actually not from
    Monodevelop team
  + bgo#564002 – Files view shows useless tooltip
* Wed Apr  8 2009 vuntz@novell.com
- Update to version 2.26.0.1:
  + Huge improvements in the tooltip area
  + Do not hang when pressing backspace in editor
  + bgo#574607 – Replace function selects text uncorrectly
  + bgo#576959 - Search does not point to correct line number on
    first match when file is not opened in editor.
  + bgo#574711 – Menu Toolbar unchecked at the first time while
    toolbar shown
  + bgo#574802 – show calltips makes the editing lag
  + bgo#576057 – doesn't build with graphviz 2.22.2
  + bgo#575893 – plugins schema files are not installed
  + bgo#575617 – Update FSF address
  + Updated translations.
- Changes from version 2.26.0:
  + bgo#397883 – The license info is almost empty
  + bgo#574376 – Save doesn't always save
  + bgo#573858 – link fail on Solaris for plugin symbol-db
  + bgo#562113 – Clean docbook syntax in order to validate
  + bgo#571740 – Get rid of deprecated libgnomecanvas
  + Fixed crash in git plugin
  + Fixed little problem in build plugin
  + Fixed distcheck
  + Updated translations.
- Use parallel make.
- Remove unneeded BuildRequires: gnome-common, gtk-doc, pcre-devel,
  sqlite-devel.
- Remove Requires that are automatically added: devhelp
- Remove some Requires which really seem abusive: alsa-devel,
  audiofile, esound-devel, gconf2-devel, gnome-terminal,
  gnome-vfs2-devel, libart_lgpl-devel, libbonobo-devel,
  libbonoboui-devel, libglade2-devel, libgnome-devel,
  libgnomecanvas-devel, libgnomeui-devel, libwnck-devel,
  libxml2-devel, openssl-devel, orbit2-devel, popt-devel, yelp,
  gnome-doc-utils
- Remove the Recommends for documentation: if we want them, they
  should really live in devhelp. And I'm not sure we want them.
- Pass --disable-static to configure and remove .la files.
- Package the anjuta-build-tutorial manual with the other manuals.
- Do not package omf files twice.
- Do not add DocPath to the desktop file: it's already there.
* Fri Mar  6 2009 vuntz@novell.com
- Update to version 2.25.903.0:
  + Valgrind memory fixes
  + Documentation fixes and updates
  + Fixes in the glade plugin
  + Version control integration fixes
  + Auto-indentation fixes
  + bgo#564282 – configure error: source directory already
    configured
  + bgo#567513 – Running configure doesn't make anjuta be aware
    that the project doesn't need a configure stage in its menus
  + bgo#565170 – Invalid read in plugin.c
  + bgo#573326 – Debug misfunction
  + bgo#572637 – Valgrind shows some errors in symbol-db
  + bgo#567068 – autocomplete box should vanish on backspace
  + bgo#564306 – don't ask which program to run if project has only
    one target
  + bgo#559806 – Anjuta crashes when closing unsaved file
  + bgo#556970 – Swap .h/.c doesn't work for C header files (*.h)
  + bgo#555895 – Save configure options for build configuration
  + bgo#572608 – crash clicking on 'find in files...' results.
  + bgo#572451 - crash on closing project
  + bgo#571760 – Find & Replace is broken (due to my previous
    changes)
  + bgo#511589 - remove missed includes
  + bgo#572289 – Make code less ambiguous
  + bgo#564891 – Crash when closing editor window
- Do not call autoreconf.
- Drop anjuta-fix-undefined-operation.patch: fixed upstream.
* Tue Feb 17 2009 vuntz@novell.com
- Update to version 2.25.902:
  + Updates:
  - Code completion
  - Searching
  - Project Management
  + Bugs fixed:
  - bgo#570820 - problem with gtk+ trunk
  - bgo#564942 - display project-relative path in search results
    pane
  - bgo#571381 - Seach button disabled if no files opened.
  - bgo#571733 - file manager should sort files
    case-insensitively
  - bgo#571233 - Uncorrect loading of subversion plugin
  - bgo#571215 - doesn't indent function declarations correctly
  - bgo#570492 - Some criticals in the terminal plugin
  - bgo#556148 - it's impossible to remove project variables
  - bgo#571262 - gbf-am: treat tail slash as a package
  - bgo#566991 - list project modules in sorted order
  - bgo#571114 - Crash after clicking on Edit/Preferences with
    open document
  - bgo#571143 - Double free crasher of path string.
  - bgo#563704 - Anjuta displays column/line numbers after edit
    windows closed
  - bgo#556970 - Swap .h/.c doesn't work for C header files (*.h)
  - bgo#570720 - There are warnings in some cases when I press
    cancel in program arguments dialog
  - bgo#566785 - Anjuta crashes after enabling and disabling a
    plugin often
  - bgo#567606 - Auto-indentation in Anjuta gets tab indentation
    wrong for function paramaters
  - bgo#565015 - duplicate matches in search results pane
  - bgo#539580 - Uncorrect pass search result to
  - bgo#570614 - outdated download addresses
  - bgo#566531 - Find & Replace results in wrong result for files
    containing multi-byte UTF-8 sequences
  - bgo#570877 - symbol-db doesn't scan user-added packages.
  - bgo#570929 - initialize widgets before add watches.
  - bgo#566987 - display tooltip with prototype when calling
    function in project.
  - bgo#570245 - gbf gio-critical g_file_query_exists
  - bgo#566693 - Code completion of symbols usually not working
  - bgo#570492 - Canot open editor - crash
  - bgo#567100 - opening Find dialog causes GtkSpinButton warning
  - bgo#570444 - can't change numbers in preferences dialog
  - bgo#566987 - display tooltip with prototype when calling
    function in project
- Add anjuta-fix-undefined-operation.patch to fix a build error.
- Remove BuildRequires: gnome-build-devel, gnutls-devel,
  libgnomeprintui-devel, perl-XML-Parser, scrollkeeper
- Add BuildRequires: unique-devel.
- Remove Requires: libgnomeprint-devel, libgnomeprintui-devel
- Remove Recommends: libgnomeprint-doc, libgnomeprintui-doc
- Drop README.SuSE: I can't find any other mention of
  anjuta_update_global_tags, so I assume this is obsolete.
- Cleanup file list.
- Cleanup obsolete comments.
* Fri Feb  6 2009 hfiguiere@suse.de
- Revert some .spec change causing a breakage.
* Wed Feb  4 2009 hfiguiere@suse.de
- Update to 2.25.901
  + A large number of changes and fixes.
  + File-browser shows version control status for subversion using
    emblems
  + Remote debugging support using gdbserver
  + New bookmark interface
  + gnome-build merge into anjuta
  + Starter plugin for fast access to common actions
  + Symbol-db plugin now default and working, old ctags code and
    symbol-browser removed
  + Glade integration work (GSoc) merged
  + Support for scratchbox2
- Added perl-gettext and libgda-4_0-devel in the build requires.
* Fri Dec 26 2008 mboman@suse.de
- Use gtksourceview-devel instead of gtksourceview18-devel.
  Fixes bnc#461287
* Tue Nov 25 2008 ro@suse.de
- do not buildrequire valgrind on ia64 s390 s390x
  (does not exist on these platforms)
* Mon Oct 20 2008 mboman@suse.de
- Update to version 2.24.1:
  + bgo#545668 - new file are not added correctly to the project
  + bgo#545668 - file's icon not correctly updated on tabs-right-click
  + bgo#556053 - closing file tabs disable 'save button'
  + bgo#554684 - Cursor column number is not updated when typing text
  + Debugger was unable to start if build and source directory are different
  + Subversion: Make sure the repository URL given to the switch command is
    canonicalized.
  + bgo#554337 could not find glade file while executing a program
  + Translation updates
* Mon Sep 29 2008 mboman@suse.de
- Update to version 2.24.0.1:
  + New version of symbol-db plugin beta
  + Fix warnings, some documents could have no associated file
  + Fix bgo#529468: Use weak pointers to avoid acting on widgets that have
    been destroyed.
  + Fix bgo#551574 Project names and descriptions are not translatable
  + Fix bgo#551684: Wrong AC substitutions in anjuta-version.h.
  + Fixed a problem with async file loading.
  + Fix libanjuta API documentation
  + Imported new symbol icons from MonoDevelop.
  + Fix bgo#550322 - Newlines should be placed at the end of error messages
    lines
  + Fix bgo#550470 - Crash: Executing file through popup menu
  + Use the View->Editor->* menu items for view spaces, view eol and
    line wrap (new) option instead of the preferences.
  + Fix bgo#549950 - crash while saving a file
  + Translation updates
* Thu Sep  4 2008 maw@suse.de
- Update to version 2.23.91:
  + The large version bump is due to Anjuta synchronizing its
    version numbers with those of GNOME at large
  + Many bugfixes, updated translations, etc; for a fuller account
    see the included NEWS file.
* Tue Jul 15 2008 coolo@suse.de
- removing linking against shared bfd library, this makes updating
  bintuils impossible. If there is a bug in the static library,
  it should be fixed there
* Wed Apr  2 2008 vuntz@suse.de
- Remove -fno-strict-aliasing
- Add gdl-devel to Requires for the devel package
- Move *-doc from Requires to Recommends
- Clean up Requires by removing libraries when the devel package of
  the libraries are already in Requires
- Run ldconfig in %%post(un)
* Mon Mar 31 2008 vuntz@suse.de
- Updated to version 2.4.0. Too many changes and bugfixes to list
  here.
- Remove anjuta-64bit-warning.patch (fixed upstream),
  anjuta-svn-no-svn-config.patch (fixed upstream),
  anjuta-uninitalized-vars.patch (fixed upstream), abuild.patch
  (fixed upstream)
* Wed Feb  6 2008 rodrigo@suse.de
- Added patches to fix build failures
* Mon Feb  4 2008 ro@suse.de
- disable parallel make for the moment
* Mon Feb  4 2008 rodrigo@suse.de
- Fixed path for Glade catalog files
* Fri Feb  1 2008 rodrigo@suse.de
- Update to version 2.3.3:
  * http://ftp.acc.umu.se/pub/GNOME/sources/anjuta/2.3/anjuta-2.3.3.news
* Thu Jan 31 2008 sbrabec@suse.cz
- Devhelp documentation moved to the separate package (bnc#248813).
* Thu Nov  1 2007 sbrabec@suse.cz
- Build with gtksourceview18.
* Fri Oct 26 2007 sbrabec@suse.cz
- Require autogen (#336176).
- Fixed shared libbfd detection.
* Wed Oct 24 2007 sbrabec@suse.cz
- Build all optional plugins except GtkSourceView: subversion,
  glade, class inheritance, performance profiler, Valgrind.
* Tue Oct 23 2007 maw@suse.de
- Update to version 2.2.2:
  + Bugs (bugzilla.gnome.org) fixed: #477976, #427104, #479020,
    [#478238], #456465, #466031, #343522, #487112, #486597, #482067,
    [#477976], #427104, #487854, #474811, #488061, and #488928.
* Wed Oct 17 2007 maw@suse.de
- Add gdl-devel and libxslt-devel to the list of build requirements
- Remove configure.patch
- Don't attempt to install files that don't exist
- Split out a -devel subpackage
- Add abuild.patch
- Add no-bins-in-usrshare.patch
- Minor .spec cleanups.
* Thu Oct 11 2007 sbrabec@suse.cz
- Removed bogus dependency on mDNSResponder.
* Mon Oct  8 2007 mauro@suse.de
- Update to version 2.2.1:
  * Fixed lots of memory leaks (thanks valgrind)
  * Fixed crasher on shutdown
  * Avoid an endless loop if clearing all breakpoints while the programm
  is running
  * Fixed help activation (bug #451557).
  * Fixed compiler warnings.
  * Fixed #423467 (View->Tasks menu items are not checked on startup)
  * Fixed anjuta-plugin template plugin by moving the "\" out of the [IF] block
  * Fixes bug #433552: crash in Anjuta IDE: add file test.h in project on
  generic Makefile.
  * Disables 'Add to project' in wizards for projects that can not add sources.
  * Fixed bug #450217: Refreshing tree brings to random crashes
  * Fixed bug 453931 - crash in Anjuta IDE: Trying some c++ exampled
  * Fixed bug 457093 - crash in Anjuta IDE: just typed in some text
* Fri Aug 10 2007 coolo@suse.de
- put the Version before the use of %%version
* Mon Aug  6 2007 maw@suse.de
- Split out a -lang subpackage
- Use %%fupes.
* Mon Jun 18 2007 maw@suse.de
- Add abuild.patch (#241836).
* Mon Apr 23 2007 pgajdos@suse.cz
- fixed new gcc warnings
- literal-comparsion.patch
* Wed Apr 18 2007 pgajdos@suse.cz
- fixed 'array subscript is above array bounds' [#248868]
- array-index.patch
* Thu Jan  4 2007 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Sun Oct 15 2006 schwab@suse.de
- Make sure config.rpath is present.
* Fri Feb 24 2006 sbrabec@suse.cz
- Improved Categories.
* Fri Feb 17 2006 sreeves@suse.de
- Update .desktop file (Name, GenericName, Comment, DocPath)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 18 2006 sbrabec@suse.cz
- Updated to version 1.2.4a.
* Wed Nov  2 2005 dmueller@suse.de
- don't build as root
* Wed Oct 26 2005 sbrabec@suse.cz
- Updated to version 1.2.4 (#118228).
* Tue Aug  2 2005 ro@suse.de
- intltoolize with force
* Mon Jun 20 2005 sbrabec@suse.cz
- Removed mkinstalldirs patch - fixed upstream (#56985).
* Mon May 16 2005 sbrabec@suse.cz
- Updated to version 1.2.3.
* Wed Apr 27 2005 meissner@suse.de
- fixed buffer overflow and one aliasing issue.
* Tue Apr  5 2005 sbrabec@suse.cz
- Do not require linc.
* Sun Nov  7 2004 ro@suse.de
- make it build with new intltool
* Tue Oct 26 2004 ro@suse.de
- locale rename: no -> nb
* Tue Sep  7 2004 sbrabec@suse.cz
- Generated shared mime info.
* Mon Jul 12 2004 sbrabec@suse.cz
- Fixed default applications for GNOME2 (bug #42852).
  http://sourceforge.net/tracker/index.php?func=detail&aid=987912&group_id=14222&atid=314222
- Added gnome-terminal, yelp and devhelp to Requires.
- Added *-doc GNOME developer documentation to Requires.
* Tue Jun 15 2004 sbrabec@suse.cz
- Worked around missing mkinstalldirs (#42037, #41985).
* Thu Jun 10 2004 sbrabec@suse.cz
- Updated to version 1.2.2.
- Fixed IA64 crash on start (#41854).
* Mon Apr 26 2004 ro@suse.de
- fix function return type to void
* Wed Mar 17 2004 sbrabec@suse.cz
- Fixed scrollkeeper calling conventions (#36215).
* Mon Mar 15 2004 sbrabec@suse.cz
- FHS 2.3 fix (mandir, infodir, #35821).
* Mon Mar 15 2004 sbrabec@suse.cz
- Added package set sufficient for compilation to requirements (#35900),
* Thu Feb 19 2004 ro@suse.de
- fix plugindir for lib64
* Thu Feb 12 2004 sbrabec@suse.cz
- Updated to version 1.2.1 (GNOME2).
- Added anjuta_update_global_tags.
* Sat Aug 16 2003 adrian@suse.de
- add Categories
* Thu Jul 24 2003 hhetter@suse.de
- %%_lib fixes
* Mon Jul 14 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Thu Jun 19 2003 ro@suse.de
- added directory to filelist
* Mon Jun  2 2003 ro@suse.de
- add manpages to filelist
- remove unpackaged files from buildroot
* Mon Nov 11 2002 ro@suse.de
- changed neededforbuild <jade_dsl> to <openjade>
- changed neededforbuild <sp> to <opensp>
* Wed Nov  6 2002 hhetter@suse.de
- update to version 1.0.0
- package split en/ja documentation and translation
- completed scrollkeeper installation
- use correct kde datadir
- fix docbook usage
- full filelist rework
* Fri Sep 27 2002 ro@suse.de
- Added alsa alsa-devel to neededforbuild (esound)
* Thu Aug 15 2002 ro@suse.de
- removed gnome-utils from neededforbuild
* Tue Aug 13 2002 hhetter@suse.de
- fix neededforbuild
* Fri Jul 26 2002 adrian@suse.de
- fix neededforbuild
* Mon Jul  1 2002 meissner@suse.de
- auto* rerun, added intltool to neededforbuild
* Mon Jul  1 2002 hhetter@suse.de
- updated to version 0.1.9
* Mon May 27 2002 ro@suse.de
- removed gpc from neededforbuild
* Fri Feb  1 2002 ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Wed Dec  5 2001 hhetter@suse.de
- update to version 0.1.8
  * first version after merging with gIDE
* Fri Aug 24 2001 hhetter@suse.de
- update to version 0.1.7, changes include:
  * translation and documentation updates
  * fixed bugs preventing use of the wizard
  * cleaned up user-interface
- filelist corrections and updates
- functionality test on i386
* Mon Aug 13 2001 hhetter@suse.de
- removed no longer needed patch
- updated to version 0.1.6
* Wed Jun 20 2001 hhetter@suse.de
- fixed redundand docdir
* Thu Apr  5 2001 uli@suse.de
- ditched reimplementation of strcasestr (harmful with recent gccs)
- fixed passing of RPM_OPT_FLAGS
* Thu Mar 29 2001 hhetter@suse.de
- update to version 0.1.4
- use bz2
- filelist review
* Wed Mar 14 2001 hhetter@suse.de
- changed docdir from gnome/anjuta/ to anjuta/
- filelist corrections
* Mon Mar 12 2001 hhetter@suse.de
- Update to version 0.1.3
- filelist corrections/updates
- testrun on 7.1
* Mon Jan 22 2001 hhetter@suse.de
- inital build
